Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples.terasort
Class TeraValidate

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.examples.terasort.TeraValidate

All Implemented Interfaces:
  Configurable, Tool

    public class TeraValidate

extends Configured
implements Tool

Generate 1 mapper per a file that checks to make sure the keys are sorted within each file. The mapper also generates "$file:begin", first key and "$file:end", last key. The reduce verifies that all of the start/end items are in order. Any output from the reduce is problem report.

To run the program: bin/hadoop jar hadoop-examples-*.jar teravalidate out-dir report-dir

If there is any output, something is wrong and the output of the reduce will have the problem report.

Constructor Summary
`TeraValidate()`

Method Summary
`static void` | `main(String[] args)`
`int` | `run(String[] args)` Execute the command with the given arguments.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### TeraValidate

    public TeraValidate()

Method Detail

### run

    public int run(String[] args)
            throws Exception

  Description copied from interface: `Tool`
  Execute the command with the given arguments.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation